<script>
  module.exports = {
    data() {
      return {
        checkList: ['选中且禁用','复选框 A'],
        // checkList2: ['复选框 A'],
        checked: true,
        name: 'Jonny',
        a: 'Jonny',
        b: 'Lara'
      };
    }
  };
</script>


<style>
  .checkbox {
    margin-right: 10px;
  }
</style>

## 基础用法

### 单个勾选框，逻辑值

<div>
  <el-checkbox
    class="checkbox"
    :model.sync="checked"
    >
  </el-checkbox>{{checked | json}}
</div>

```html
<el-checkbox
  class="checkbox"
  :model.sync="checked"
  >
</el-checkbox>
```

### 多个勾选框，绑定到同一个数组

<div>
  <el-checkbox
    class="checkbox"
    :model.sync="checkList"
    value="复选框 A">
  </el-checkbox>
  <el-checkbox
    class="checkbox"
    :model.sync="checkList"
    value="复选框 B">
  </el-checkbox>
  <el-checkbox
    class="checkbox"
    :model.sync="checkList"
    value="复选框 C">
  </el-checkbox>
  <el-checkbox
    class="checkbox"
    disabled
    :model.sync="checkList"
    value="禁用">
    </el-checkbox>
  <el-checkbox
    class="checkbox"
    disabled
    :model.sync="checkList"
    value="选中且禁用">
    </el-checkbox>
</div>

<p>{{checkList | json}}</p>

```html
<template?>

  <el-checkbox
    :model.sync="checkList"
    value="复选框 A">
  </el-checkbox>

  <el-checkbox
    :model.sync="checkList"
    value="复选框 B">
  </el-checkbox>

  <el-checkbox
    :model.sync="checkList"
    value="复选框 C">
  </el-checkbox>

  <el-checkbox
    class="checkbox"
    disabled
    :model.sync="checkbox"
    value="禁用">
  </el-checkbox>

  <el-checkbox
    class="checkbox"
    disabled
    :model.sync="checkbox"
    value="选中且禁用">
  </el-checkbox>

</template>

<script?>
  export default {
    data () {
      return {
        checkList: ['选中且禁用','复选框 A']
      }
    }
  }
</script>
```

### 绑定 value：

<div>
  <el-checkbox
    class="checkbox"
    :model.sync="name"
    :true-value="a"
    :false-value="b"
    >
  </el-checkbox>{{name}}
</div>

```html
<el-checkbox
  class="checkbox"
  :model.sync="name"
  :true-value="a"
  :false-value="b"
  >
</el-checkbox>
```

```js
vm.a = 'Jonny';
vm.b = 'Lara';
// 当选中时
vm.name === vm.a
// 当没有选中时
vm.name === vm.b
```

## API
| 参数      | 说明    | 类型      | 可选值       | 默认值   |
|---------- |-------- |---------- |-------------  |-------- |
| model     | 绑定值   | string\|string[]\|boolean  |               |         |
| value     | 真实值   | string    |               |         |
| label     | 显示值，不填则显示 value   | string    |               |         |
| disabled  | 禁用    | boolean   | true, false   | false   |
