<script>
  module.exports = {
    data() {
      return {
        pickerOptions1: {
          shortcuts: [{
            text: '今天',
            onClick(picker) {
              picker.$emit('pick', new Date());
            }
          }, {
            text: '昨天',
            onClick(picker) {
              const date = new Date();
              date.setTime(date.getTime() - 3600 * 1000 * 24);
              picker.$emit('pick', date);
            }
          }, {
            text: '一周前',
            onClick(picker) {
              const date = new Date();
              date.setTime(date.getTime() - 3600 * 1000 * 24 * 7);
              picker.$emit('pick', date);
            }
          }]
        },
        pickerOptions2: {
          shortcuts: [{
            text: '最近一周',
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setTime(start.getTime() - 3600 * 1000 * 24 * 7);
              picker.$emit('pick', [start, end]);
            }
          }, {
            text: '最近一个月',
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setTime(start.getTime() - 3600 * 1000 * 24 * 30);
              picker.$emit('pick', [start, end]);
            }
          }, {
            text: '最近三个月',
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setTime(start.getTime() - 3600 * 1000 * 24 * 90);
              picker.$emit('pick', [start, end]);
            }
          }]
        }
      };
    },
    created() {

    }
  };
</script>

## 日期点

###  日

以『日』为基本单位

<el-date-editor
  type="date"
  placeholder="选择日期"
  style="width: 240px;">
</el-date-editor>

```html
<el-date-editor
  type="date"
  placeholder="选择日期"
  style="width: 240px;">
</el-date-editor>
```

###  周

以『周』为基本单位

<el-date-editor
  type="week"
  placeholder="选择周"
  style="width: 240px;">
</el-date-editor>

```html
<el-date-editor
  type="week"
  placeholder="选择周"
  style="width: 240px;">
</el-date-editor>
```

###  月

以『月』为基本单位

<el-date-editor
  type="month"
  placeholder="选择月"
  style="width: 240px;">
</el-date-editor>

```html
<el-date-editor
  type="month"
  placeholder="选择月"
  style="width: 240px;">
</el-date-editor>
```

###  年

以『年』为基本单位

<el-date-editor
  type="year"
  placeholder="选择日期"
  style="width: 240px;">
</el-date-editor>

```html
<el-date-editor
  type="year"
  placeholder="选择日期"
  style="width: 240px;">
</el-date-editor>
```

###  含快捷选项

左侧区域可配置快捷选项，例如『今天』、『昨天』等

<el-date-editor
  type="date"
  placeholder="选择日期"
  :picker-options="pickerOptions1"
  style="width: 240px;">
</el-date-editor>

```html
<el-date-editor
  type="date"
  placeholder="选择日期"
  :picker-options="pickerOptions1"
  style="width: 240px;">
</el-date-editor>
```

## 日期范围

###  日期范围

在一个选择器中选择

<el-date-editor
  type="daterange"
  placeholder="选择日期范围"
  style="width: 240px;">
</el-date-editor>

```html
<el-date-editor
  type="daterange"
  placeholder="选择日期范围"
  style="width: 240px;">
</el-date-editor>
```

###  含快捷选项

左侧区域可配置快捷选项，例如『最近一周』、『最近一个月』等

<el-date-editor
  type="daterange"
  placeholder="选择日期范围"
  :picker-options="pickerOptions2"
  style="width: 240px;">
</el-date-editor>

```html
<el-date-editor
  type="daterange"
  placeholder="选择日期范围"
  :picker-options="pickerOptions2"
  style="width: 240px;">
</el-date-editor>
```