<script>
  module.exports = {
    data() {
      return {
        pickerOptions1: {
          shortcuts: [{
            text: '今天',
            onClick(picker) {
              picker.$emit('pick', new Date());
            }
          }, {
            text: '昨天',
            onClick(picker) {
              const date = new Date();
              date.setTime(date.getTime() - 3600 * 1000 * 24);
              picker.$emit('pick', date);
            }
          }, {
            text: '一周前',
            onClick(picker) {
              const date = new Date();
              date.setTime(date.getTime() - 3600 * 1000 * 24 * 7);
              picker.$emit('pick', date);
            }
          }]
        },
        pickerOptions2: {
          shortcuts: [{
            text: '最近一周',
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setTime(start.getTime() - 3600 * 1000 * 24 * 7);
              picker.$emit('pick', [start, end]);
            }
          }, {
            text: '最近一个月',
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setTime(start.getTime() - 3600 * 1000 * 24 * 30);
              picker.$emit('pick', [start, end]);
            }
          }, {
            text: '最近三个月',
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setTime(start.getTime() - 3600 * 1000 * 24 * 90);
              picker.$emit('pick', [start, end]);
            }
          }]
        }
      };
    },
    created() {

    }
  };
</script>

## 日期和时间点

###  日期和时间点的选择（一）

在两个选择器中选择日期与时间。

<el-date-editor
  type="date"
  placeholder="选择日期"
  style="width: 240px;">
</el-date-editor> <el-date-editor
  type="time"
  placeholder="选择时间"
  style="width: 200px;">
</el-date-editor>

```html
<el-date-editor
  type="date"
  placeholder="选择日期"
  style="width: 240px;">
</el-date-editor>
<el-date-editor
  type="fixed-time"
  placeholder="固定时间点"
  style="width: 200px;">
</el-date-editor>
```

###  日期和时间点的选择（二）

在一个选择器中选择日期与时间。

<el-date-editor
  type="datetime"
  placeholder="选择日期时间"
  style="width: 240px;">
</el-date-editor>

```html
<el-date-editor
  type="datetime"
  placeholder="选择日期时间"
  style="width: 240px;">
</el-date-editor>
```

###  含快捷选项（一）

左侧区域可配置快捷选项，例如『今天』、『昨天』等。

<el-date-editor
  type="date"
  :picker-options="pickerOptions1"
  placeholder="选择日期"
  style="width: 240px;">
</el-date-editor> <el-date-editor
  type="time"
  placeholder="选择时间"
  style="width: 200px;">
</el-date-editor>

```html
<el-date-editor
  type="date"
  placeholder="选择日期"
 :picker-options="pickerOptions1"
  style="width: 240px;">
</el-date-editor>
<el-date-editor
  type="fixed-time"
  placeholder="固定时间点"
  style="width: 200px;">
</el-date-editor>
```

###  含快捷选项（二）

左侧区域可配置快捷选项，例如『今天』、『昨天』等。

<el-date-editor
  type="datetime"
  placeholder="选择日期时间"
  :picker-options="pickerOptions1"
  style="width: 300px;">
</el-date-editor>

```html
<el-date-editor
  type="datetime"
  placeholder="选择日期时间"
  :picker-options="pickerOptions1"
  style="width: 300px;">
</el-date-editor>
```

## 日期和时间范围

###  日期和时间范围的选择（一）

在两个选择器中选择。

<el-date-editor
  type="datetime"
  placeholder="选择开始时间"
  style="width: 240px;">
</el-date-editor> <el-date-editor
  type="datetime"
  placeholder="选择结束时间"
  style="width: 240px;">
</el-date-editor>

```html
<el-date-editor
  type="datetime"
  placeholder="选择开始时间"
  style="width: 240px;">
</el-date-editor> <el-date-editor
  type="datetime"
  placeholder="选择结束时间"
  style="width: 240px;">
</el-date-editor>
```

###  日期和时间范围的选择（二）

在一个选择器中选择。

<el-date-editor
  type="datetimerange"
  placeholder="选择时间范围"
  style="width: 300px;">
</el-date-editor>

```html
<el-date-editor
  type="datetimerange"
  placeholder="选择时间范围"
  style="width: 240px;">
</el-date-editor>
```

###  含快捷选项

左侧区域可配置快捷选项，例如『最近一周』、『最近一个月』等。

<el-date-editor
  type="datetimerange"
  :picker-options="pickerOptions2"
  placeholder="选择时间范围"
  style="width: 300px;">
</el-date-editor>

```html
<el-date-editor
  type="datetimerange"
  :picker-options="pickerOptions2"
  placeholder="选择时间范围"
  style="width: 240px;">
</el-date-editor>
```

###  日期范围和时间范围选择

在两个选择器中分别选择日期范围和时间范围。

<el-date-editor
  type="daterange"
  placeholder="选择日期范围"
  style="width: 240px;">
</el-date-editor> <el-date-editor
  type="timerange"
  placeholder="选择时间范围"
  style="width: 240px;">
</el-date-editor>

```html
<el-date-editor
  type="daterange"
  placeholder="选择日期范围"
  style="width: 240px;">
</el-date-editor>
<el-date-editor
  type="timerange"
  placeholder="选择时间范围"
  style="width: 240px;">
</el-date-editor>
```

## 环比时间
选择两个时间作为限制条件，以得到统计量在这两个时间段的环比数据。

###  周环比

<el-date-editor
  type="week"
  placeholder="选择开始周"
  style="width: 240px;">
</el-date-editor> <el-date-editor
  type="week"
  placeholder="选择结束周"
  style="width: 240px;">
</el-date-editor>

```html
<el-date-editor
  type="week"
  placeholder="选择开始周"
  style="width: 240px;">
</el-date-editor> <el-date-editor
  type="week"
  placeholder="选择结束周"
  style="width: 240px;">
</el-date-editor>
```

###  月环比

<el-date-editor
  type="month"
  placeholder="选择开始月"
  style="width: 240px;">
</el-date-editor> <el-date-editor
  type="month"
  placeholder="选择结束月"
  style="width: 240px;">
</el-date-editor>

```html
<el-date-editor
  type="month"
  placeholder="选择开始月"
  style="width: 240px;">
</el-date-editor> <el-date-editor
  type="month"
  placeholder="选择结束月"
  style="width: 240px;">
</el-date-editor>
```

###  年环比

<el-date-editor
  type="year"
  placeholder="选择开始年"
  style="width: 240px;">
</el-date-editor> <el-date-editor
  type="year"
  placeholder="选择结束年"
  style="width: 240px;">
</el-date-editor>

```html
<el-date-editor
  type="year"
  placeholder="选择开始年"
  style="width: 240px;">
</el-date-editor> <el-date-editor
  type="year"
  placeholder="选择结束年"
  style="width: 240px;">
</el-date-editor>
```