<script>
  module.exports = {
    data() {
      return {
        dialogVisible: false,
        dialogTinyVisible: false,
        dialogFullVisible: false,
        dialogStubbornVisible: false
      };
    }
  };
</script>

<style>
  span.dialog-footer button:first-child {
    margin-right: 10px;
  }
  img.full-image {
    width: 100%;
  }
  .app__main div.element-dialog__wrapper {
    margin: 0;
  }
</style>

## 基本用法

<el-button :plain="true" v-on:click="dialogVisible = true">点击打开 Dialog</el-button>

<el-dialog title="提示" :visible.sync="dialogVisible">
  <span>这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息</span>
  <span slot="footer" class="dialog-footer">
    <el-button size="small" @click="dialogVisible = false">取消</el-button>
    <el-button size="small" type="primary" @click="dialogVisible = false">确定</el-button>
  </span>
</el-dialog>

```html
<el-button :plain="true" v-on:click="openDialog">点击打开 Dialog</el-button>

<el-dialog title="提示" :visible.sync="dialogVisible">
  <span>这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息</span>
  <span slot="footer" class="dialog-footer">
    <el-button size="small" @click="dialogVisible = false">取消</el-button>
    <el-button size="small" type="primary" @click="dialogVisible = false">确定</el-button>
  </span>
</el-dialog>
```

## 设置尺寸

<el-button :plain="true" v-on:click="dialogTinyVisible = true">点击打开小尺寸 Dialog</el-button>

<el-dialog title="提示" :visible.sync="dialogTinyVisible" size="tiny">
  <span>这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息</span>
  <span slot="footer" class="dialog-footer">
    <el-button size="small" @click="dialogTinyVisible = false">取消</el-button>
    <el-button size="small" type="primary" @click="dialogTinyVisible = false">确定</el-button>
  </span>
</el-dialog>

```html
<el-button :plain="true" v-on:click="dialogTinyVisible = true">点击打开小尺寸 Dialog</el-button>

<el-dialog title="提示" :visible.sync="dialogTinyVisible" size="tiny">
  <span>这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息</span>
  <span slot="footer" class="dialog-footer">
    <el-button size="small" @click="dialogTinyVisible = false">取消</el-button>
    <el-button size="small" type="primary" @click="dialogTinyVisible = false">确定</el-button>
  </span>
</el-dialog>
```

<el-button v-on:click="dialogFullVisible = true">点击打开全屏幕 Dialog</el-button>

<el-dialog title="提示" :visible.sync="dialogFullVisible" size="full">
  <img src="http://placekitten.com/1920/1280" class="full-image">
</el-dialog>

```html
<el-button v-on:click="dialogFullVisible = true">点击打开全屏幕 Dialog</el-button>

<el-dialog title="提示" :visible.sync="dialogFullVisible" size="full">
  <img src="http://placekitten.com/1920/1280">
</el-dialog>
```

## 设置能否通过点击modal或按下esc关闭dialog

<el-button v-on:click="dialogStubbornVisible = true">打开 Dialog，点击 modal 或按下 esc 关闭无法将其关闭</el-button>

<el-dialog title="提示" :visible.sync="dialogStubbornVisible" :close-on-click-modal="false" :close-on-press-escape="false">
  <span>这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息</span>
</el-dialog>

```html
<el-button v-on:click="dialogStubbornVisible = true">打开 Dialog，点击 modal 或按下 esc 关闭无法将其关闭</el-button>

<el-dialog title="提示" :visible.sync="dialogStubbornVisible" :close-on-click-modal="false" :close-on-press-escape="false">
  <span>这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息，这是一段信息</span>
</el-dialog>
```

## API
| 参数      | 说明          | 类型      | 可选值                           | 默认值  |
|---------- |-------------- |---------- |--------------------------------  |-------- |
| title     | dialog 的标题 | string    |                                  |         |
| size      | dialog 的大小 | string    | 'tiny', 'small', 'large', 'full' | 'small' |
| closeOnClickModal | 是否可以通过点击 modal 关闭 dialog | boolean    |  | true |
| closeOnPressEscape | 是否可以通过按下 esc 关闭 dialog | boolean    |  | true |

## Slot
| name | 说明 |
|------|--------|
| - | dialog 的内容 |
| footer | dialog 按钮操作区的内容 |
