<style>
  .el-dropdown {
    vertical-align: top;

    & .el-button-group {
      margin-bottom: 0;
    }
  }
</style>

<script>
  export default {
    methods: {
      handleMainClick() {
        alert('click main button');
      }
    }
  }
</script>

## 基础用法

<p>通过与 button 一致的 type 属性来指定菜单按钮类型。</p>

<div>
  <el-dropdown text="主要按钮" type="primary" @mainclick="handleMainClick()">
    <li>选项一</li>
    <li>选项二</li>
    <li>选项三</li>
    <li>选项四</li>
  </el-dropdown>
</div>

```html
<el-dropdown text="主要按钮" type="primary" @mainclick="handleMainClick()">
  <li>选项一</li>
  <li>选项二</li>
  <li>选项三</li>
  <li>选项四</li>
</el-dropdown>
```

## 不带独立按钮的下拉菜单

可以通过将`icon-separate`属性设为`false`来呈现不带独立按钮的下拉菜单。

<el-dropdown text="下拉菜单" type="primary" :icon-separate="false">
  <li>选项一</li>
  <li>选项二</li>
  <li>选项三</li>
  <li class="divider">选项四</li>
</el-dropdown>

```html
<el-dropdown text="下拉菜单" type="primary" :icon-separate="false">
  <li>选项一</li>
  <li>选项二</li>
  <li>选项三</li>
  <li class="divider">选项四</li>
</el-dropdown>
```

## 文字类型下拉菜单

<div>
  <el-dropdown text="下拉菜单" type="text" :icon-separate="false">
    <li>选项一</li>
    <li>选项二</li>
    <li>选项三</li>
    <li class="divider">选项四</li>
  </el-dropdown>
</div>

```html
<el-dropdown text="下拉菜单" type="text" :icon-separate="false">
  <li>选项一</li>
  <li>选项二</li>
  <li>选项三</li>
  <li class="divider">选项四</li>
</el-dropdown>
```

## 尺寸

<div>
  <el-dropdown text="下拉菜单" type="primary" size="large">
    <li>选项一</li>
    <li>选项二</li>
    <li>选项三</li>
    <li class="divider">选项四</li>
  </el-dropdown>
  <el-dropdown text="下拉菜单" type="primary">
    <li>选项一</li>
    <li>选项二</li>
    <li>选项三</li>
    <li class="divider">选项四</li>
  </el-dropdown>
  <el-dropdown text="下拉菜单" type="primary" size="small">
    <li>选项一</li>
    <li>选项二</li>
    <li>选项三</li>
    <li class="divider">选项四</li>
  </el-dropdown>
  <el-dropdown text="下拉菜单" type="primary" size="mini">
    <li>选项一</li>
    <li>选项二</li>
    <li>选项三</li>
    <li class="divider">选项四</li>
  </el-dropdown>
</div>

```html
<el-dropdown text="下拉菜单" type="primary" size="large">
  <li>选项一</li>
  <li>选项二</li>
  <li>选项三</li>
  <li class="divider">选项四</li>
</el-dropdown>
```

## API
| 参数          | 说明            | 类型            | 可选值                 | 默认值   |
|-------------  |---------------- |---------------- |---------------------- |-------- |
| text          | 菜单按钮文本      | string          |                       |         |
| type          | 菜单按钮类型，同 button    | string  |                       |         |
| icon-separate | 独立的下拉菜单按钮 | boolean         | true, false           | false   |
| size          | 菜单按钮尺寸，同 button     | string          | large, small, mini  |     |
