<script>
  module.exports = {
    data() {
      return {
        input: '',
        input1: '',
        input2: '',
        input3: '',
        input4: '',
        input5: '',
        input6: ''
      };
    }
  };
</script>

<style>
  .el-input {
    width: 180px;

    & + .el-input {
      margin-top: 15px;
    }
  }
  .el-input-group + .el-input-group {
    margin-top: 15px;
  }
</style>

## 基本用法

<el-input
  placeholder="请输入内容"
  :model.sync="input">
</el-input>

```html
<el-input
  placeholder="请输入内容"
  :model.sync="input">
</el-input>
```

## 禁用状态

<el-input
  :disabled="true"
  placeholder="请输入内容"
  :model.sync="input1">
</el-input>

```html
<el-input
  :disabled="true"
  placeholder="请输入内容"
  :model.sync="input1">
</el-input>
```

## Input 图标

<el-input
  placeholder="请选择日期"
  icon="time"
  :model.sync="input1">
</el-input>

```html
<el-input
  placeholder="请选择日期"
  icon="time"
  :model.sync="input1">
</el-input>
```

## Input Group

前置和后置元素可以是任何东西， 通过使用`.el-input-group__label`可以声明附加元素是一个标签从而获得合适的样式。

### 后置元素
<div class="docs-demo">
  <el-input-group>
    <el-input
      placeholder="请输入内容"
      :model.sync="input2">
    </el-input>
    <span class="el-input-group__label" slot="append">.com</span>
  </el-input-group>
</div>

```html
<div class="docs-demo">
  <el-input-group>
    <el-input
      placeholder="请输入内容"
      :model.sync="input2">
    </el-input>
    <span class="el-input-group__label" slot="append">.com</span>
  </el-input-group>
</div>
```

### 前置元素
<div class="docs-demo">
  <el-input-group>
    <el-button slot="prepend" type="text">按钮</el-button>
    <el-input
      placeholder="请输入内容"
      :model.sync="input2">
    </el-input>
  </el-input-group>
</div>

```html
<div class="docs-demo">
  <el-input-group>
    <el-button slot="prepend" type="text">按钮</el-button>
    <el-input
      placeholder="请输入内容"
      :model.sync="input2">
    </el-input>
  </el-input-group>
</div>
```

### 前置和后置元素
<div class="docs-demo">
  <el-input-group>
    <el-dropdown text="下拉菜单" type="text" :icon-separate="false" slot="prepend">
      <li>选项一</li>
      <li>选项二</li>
      <li>选项三</li>
      <li class="divider">选项四</li>
    </el-dropdown>
    <el-input placeholder="请输入内容" :model.sync="input2"></el-input>
    <el-button type="text" slot="append">搜索</el-button>
  </el-input-group>
</div>

```html
<div class="docs-demo">
  <el-input-group>
    <el-dropdown text="下拉菜单" type="text" :icon-separate="false" slot="prepend">
      <li>选项一</li>
      <li>选项二</li>
      <li>选项三</li>
      <li class="divider">选项四</li>
    </el-dropdown>
    <el-input placeholder="请输入内容" :model.sync="input2"></el-input>
    <el-button type="text" slot="append">搜索</el-button>
  </el-input-group>
</div>
```

## 尺寸
### large
<el-input
  size="large"
  placeholder="请输入内容"
  :model.sync="input4">
</el-input>
### normal
<el-input
  placeholder="请输入内容"
  :model.sync="input4">
</el-input>
### small
<el-input
  size="small"
  placeholder="请输入内容"
  :model.sync="input4">
</el-input>
### mini
<el-input
  size="mini"
  placeholder="请输入内容"
  :model.sync="input4">
</el-input>

```html
<el-input
  size="large"
  placeholder="请输入内容"
  :model.sync="input4">
</el-input>
<el-input
  placeholder="请输入内容"
  :model.sync="input4">
</el-input>
<el-input
  size="small"
  placeholder="请输入内容"
  :model.sync="input4">
</el-input>
<el-input
  size="mini"
  placeholder="请输入内容"
  :model.sync="input4">
</el-input>
```

## API
| 参数          | 说明            | 类型            | 可选值                 | 默认值   |
|-------------  |---------------- |---------------- |---------------------- |-------- |
| model         | 绑定值           | string, number  |                       |         |
| placeholder   | 输入框占位文本   | string          |                       |         |
| disabled      | 禁用            | boolean         | true, false           | false   |
| size          | 输入框尺寸       | string          | large, small, mini  |     |
| icon          | 输入框尾部图标       | string          |                  |     |

