<script>
  module.exports = {
    data() {
      return {
        radio: '',
        radio1: '选中且禁用'
      };
    }
  };
</script>

<style>
  .radio {
    margin-right: 10px;
  }
</style>

## 基本用法

<div>
  <el-radio
    class="radio"
    :model.sync="radio"
    value="单选框 A">
  </el-radio>
  <el-radio
    class="radio"
    :model.sync="radio"
    value="单选框 B">
  </el-radio>
  <el-radio
    class="radio"
    :model.sync="radio"
    value="单选框 C">
  </el-radio>
</div>

```html
<template?>

  <el-radio
    :model.sync="radio"
    value="单选框 A">
  </el-radio>

  <el-radio
    :model.sync="radio"
    value="单选框 B">
  </el-radio>

  <el-radio
    :model.sync="radio"
    value="单选框 C">
  </el-radio>

</template>

<script?>
  export default {
    data () {
      return {
        radio: '选中且禁用'
      }
    }
  }
</script>
```

## 禁用

<div>
  <el-radio
    class="radio"
    disabled
    :model.sync="radio"
    value="禁用">
    </el-radio>
    <el-radio
    class="radio"
    disabled
    :model.sync="radio1"
    value="选中且禁用">
    </el-radio>
</div>

```html
<el-radio
  class="radio"
  disabled
  :model.sync="radio"
  value="禁用">
</el-radio>
<el-radio
  class="radio"
  disabled
  :model.sync="radio"
  value="选中且禁用">
</el-radio>
```


## API
| 参数      | 说明    | 类型      | 可选值       | 默认值   |
|---------- |-------- |---------- |-------------  |-------- |
| model     | 绑定值   | string  |               |         |
| value     | 真实值   | string    |               |         |
| label     | 显示值，默认显示 value   | string    |               |         |
| disabled  | 禁用    | boolean   | true, false   | false   |
